ohhandler(1)

NAME
ohhandler - An openhpi sample application that uses the openhpi additional interfaces to control openhpi configuration. That is plugins can be loaded, plugin instances (handlers) created, unloaded or their configuration displayed.

SYNOPSIS
 ohhandler [-D nn] [-N host[:port]] [-C <cfgfile>] [-X] command <specific arguments>
 ohhandler [--domain nn] [--host=host[:port]] [--cfgfile=file] [--debug] command <specific arguments>

 ohhandler [-D nn] [-X] list
 ohhandler [-D nn] [-X] info    <handler-id>
 ohhandler [-D nn] [-X] destroy <handler-id>
 ohhandler [-D nn] [-X] getnext <handler-id>
 ohhandler [-D nn] [-X] find    <resource-id>
 ohhandler [-D nn] [-X] retry   <handler-id>
 ohhandler [-D nn] [-X] create  plugin <plugin-name> <configuration-parameters>

DESCRIPTION
ohhandler list will display a list of all plugin instances (handlers) currently defined in the openhpi daemon for the specified domain. Part of the output is the handler-id that can be used in subsequent commands.

ohhandler info will display specific info for the handler with the specified id. This information includes all configuration parameters of the handler as specified in the openhpi.conf file or as dynamically defined during a "ohhandler create" call.

ohhandler destroy will unload the specified handler and delete all its configuration information.

ohhandler getnext will allows to walk through all hanlers currently defined in the openhpi daemon for the specified domain.

ohhandler find will find the handler that is managing the specified resource.

ohhandler retry allows to try again to load and initialize the specified handler.

ohhandler create allows to dynamically create a new handler with configuration parameters like they are specified in the openhpi.conf file.
 - The type of plugin is specified with the keyword plugin
 - Configuration parameters should follow as name value pairs
 - Complex strings like entity paths must be enclosed with ""
 Example:
 ohhandler create plugin libsimulator entity_root "{SYSTEM_CHASSIS,1}" name sim

If no domain or host is selected, ohhandler uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell

         hpialarms      hpifan         hpipower       hpithres
         hpidomain      hpigensimdata  hpireset       hpitop
         hpiel          hpiiinv        hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpixml
         ohdomainlist   ohparam

AUTHORS
Authors of this man page:

 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)